Bug 247976 (CVE-2007-3385) - CVE-2007-3385 tomcat handling of cookie values
Summary: CVE-2007-3385 tomcat handling of cookie values
Status: CLOSED ERRATA
Alias: CVE-2007-3385
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=asf,reported=200707...
Keywords: Security
Depends On: 254158 254150 254151 254152 254153 254154 254155 254156 254157 254159 282091 366551 390331 390341 390351 390361 430730 430731 449337 470236 470237
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2007-07-12 13:58 UTC by Mark J. Cox
Modified: 2019-06-08 12:21 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-11-17 05:35:01 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0871 normal SHIPPED_LIVE Moderate: tomcat security update 2007-09-26 08:27:36 UTC
Red Hat Product Errata RHSA-2007:0876 normal SHIPPED_LIVE Moderate: tomcat security update 2007-10-11 18:21:55 UTC
Red Hat Product Errata RHSA-2007:0950 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform security update 2007-11-05 14:41:28 UTC
Red Hat Product Errata RHSA-2007:1069 normal SHIPPED_LIVE Moderate: tomcat security update for Red Hat Network Satellite Server 2007-11-26 13:56:32 UTC
Red Hat Product Errata RHSA-2008:0195 normal SHIPPED_LIVE Moderate: tomcat security update 2008-04-28 09:16:00 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2007-07-12 13:58:27 UTC
VU#391448

Mark Thomas said:

I had slightly different results to Jean-Frederic.
6.0.x - fixed - http://svn.apache.org/viewvc?view=rev&rev=553410
5.5.x - affected
5.0.x - IAE in some cases
4.1.x - affected
3.3.x - affected

This is all in the examples, so severity is low.

Comment 1 Mark J. Cox 2007-08-14 10:38:08 UTC
now public, removing embargo
http://tomcat.apache.org/security-4.html


Comment 9 Fedora Update System 2007-11-17 05:34:52 UTC
tomcat5-5.5.25-1jpp.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2007-11-17 05:37:37 UTC
tomcat5-5.5.25-1jpp.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2010-08-04 21:33:10 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.